Skip to main content
POST
/
api
/
v2
/
reservations
Create reservation
curl --request POST \
  --url https://reservation.nks.europe-west4.nscale.com/api/v2/reservations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "metadata": {
    "name": "gb300-nvl72",
    "description": "Reserved accelerator units for training",
    "tags": [
      {
        "name": "workload",
        "value": "training"
      }
    ]
  },
  "spec": {
    "organizationId": "161b9d5a-701d-4fea-848d-0e345edf16e9",
    "projectId": "f113be96-4dd2-4c14-9c0e-e96c500f21e0",
    "regionId": "c7568e2d-f9ab-453d-9a3a-51375f78426b",
    "accelerator": "GB300",
    "unit": "NVL72",
    "count": 2
  }
}
'
{
  "metadata": {
    "id": "a64f9269-36e0-4312-b8d1-52d93d569b7b",
    "name": "gb300-nvl72",
    "organizationId": "9a8c6370-4065-4d4a-9da0-7678df40cd9d",
    "projectId": "e36c058a-8eba-4f5b-91f4-f6ffb983795c",
    "creationTime": "2026-04-28T10:45:45Z",
    "createdBy": "john.doe@example.com",
    "provisioningStatus": "pending",
    "healthStatus": "healthy",
    "tags": [
      {
        "name": "workload",
        "value": "training"
      }
    ]
  },
  "spec": {
    "regionId": "c7568e2d-f9ab-453d-9a3a-51375f78426b",
    "accelerator": "GB300",
    "unit": "NVL72",
    "count": 2
  },
  "status": {
    "machineFlavorId": "g.72.gb300.pinned",
    "claimedUnitCount": 2,
    "topologyHash": "sha256:4fd768f7a87c07aa81e7af8a765cdeaa0f7fe671052f3acbeec918522d026d2e",
    "topologyObservedAt": "2026-05-14T10:00:00Z"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

A request to create a reservation.

A reservation creation request.

metadata
object
required

Metadata required for all API resource reads and writes.

spec
object
required

A reservation creation specification.

Response

A reservation.

A reservation.

metadata
object
required

Metadata required by project scoped resource reads.

spec
object
required

A reservation's specification.

status
object
required

Read only status information about a reservation.